coef.varFunc {nlme} | R Documentation

## varFunc Object Coefficients

### Description

This method function extracts the coefficients associated with the variance function structure represented by `object`.

### Usage

    ## S3 method for class 'varFunc'
    coef(object, unconstrained, allCoef, ...)
    ## S3 replacement method for class 'varIdent'
    coef(object, ...) <- value

### Arguments

`object` | an object inheriting from class `"varFunc"` representing a variance function structure.
`unconstrained` | a logical value. If `TRUE` the coefficients are returned in unconstrained form (the same used in the optimization algorithm). If `FALSE` the coefficients are returned in "natural", generally constrained form. Defaults to `TRUE`.
`allCoef` | a logical value. If `FALSE` only the coefficients which may vary during the optimization are returned. If `TRUE` all coefficients are returned. Defaults to `FALSE`.
`value` | a vector with the replacement values for the coefficients associated with `object`. It must be have the same length of `coef{object}` and must be given in unconstrained form. `Object` must be initialized before new values can be assigned to its coefficients.
`...` | some methods for this generic require additional arguments. None are used in this method.

### Value

a vector with the coefficients corresponding to `object`.

### SIDE EFFECTS

On the left side of an assignment, sets the values of the coefficients of `object` to `value`.

### Author(s)

José Pinheiro and Douglas Bates

### See Also

`varFunc`

### Examples

    vf1 <- varPower(1)
    coef(vf1)

    coef(vf1) <- 2

[Package nlme version 3.1-131 Index]